mempcpy(3)

NAME
mempcpy - memory return-offset-pointer copy

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#define _GNU_SOURCE         /* See feature_test_macros(7) */
#include <string.h>  // see memory.h(3head)

void *mempcpy(size_t n;
              void dest[restrict n], const void src[restrict n],
              size_t n);

DESCRIPTION
This function is similar to memcpy(3), but it returns a pointer to one past the last written byte.

It is equivalent to

    memcpy(dest, src, n) + n

RETURN VALUE
dest + n.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
GNU.

HISTORY
glibc 2.1.

EXAMPLES
    void *
    combine(void *o1, size_t s1, void *o2, size_t s2)
    {
        void *result = malloc(s1 + s2);
        if (result != NULL)
            mempcpy(mempcpy(result, o1, s1), o2, s2);
        return result;
    }

SEE ALSO
memory.h(3head), memccpy(3), memcpy(3), wmempcpy(3)